Skip to content

Update a campaign by id or external source

Request

Security
bearerAuth and apiKeyAuth
Query
campaignIdstring

Campaign id

externalSourcestring

External source name

externalSourceIdstring

External source id

Bodyapplication/jsonrequired
namestringrequired

Name of the campaign

descriptionstring

Description of the campaign

parentCampaignIdstring

Parent campaign Id in case of subcampaign

startDateinteger, (int64)

StartDate of the campaign

endDateinteger, (int64)

EndDate of the campaign

tagsArray of strings

Tags on the campaign

statusstring(CampaignStatus)required

Status of the campaign. e.g. Draft, Approved

archivedboolean

True if campaign is archived

partnerCustomFieldsobject

Partner level custom fields on the campaign

clientCustomFieldsobject

Client level custom fields on the campaign

externalSourcestring

External system name

externalSourceIdstring

External system Id

visibilityobject(Visibility)

Visibility of the campaign

externalCampaignDetailsArray of objects(ExternalCampaignDetails_beans)

External connector details for a campaign

curl -i -X PUT \
  'https://developer.sprinklr.com/_mock/apis/sprinklr-v3/campaign?campaignId=string&externalSource=string&externalSourceId=string' \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Key: YOUR_API_KEY_HERE' \
  -d '{
    "name": "string",
    "description": "string",
    "parentCampaignId": "string",
    "startDate": 0,
    "endDate": 0,
    "tags": [
      "string"
    ],
    "status": "string",
    "archived": true,
    "partnerCustomFields": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "clientCustomFields": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "externalSource": "string",
    "externalSourceId": "string",
    "visibility": {
      "globallyVisible": true,
      "visibilityConfig": [
        {
          "type": "string",
          "ids": [
            "string"
          ]
        }
      ]
    },
    "externalCampaignDetails": [
      {
        "connector": "string",
        "externalIds": [
          "string"
        ]
      }
    ]
  }'

Responses

Success

Bodyapplication/json
string(AssigneeType)
Response
"string"